import type React from "react";
import { NewsletterForm } from "@components";
import { Footer } from "@fchh/fcos-suite-ui";

interface Props {
  copyright: string;
  menuItems: any;
  policyLinks: any;
  socialMedia: any;
  baseUrl?: string;
  supportedBy?: any;
}

const FooterNewsletterWrapper: React.FC<Props> = ({
  copyright,
  menuItems,
  policyLinks,
  socialMedia,
  baseUrl,
  supportedBy
}) => {
  return (
    <Footer
      copyright={copyright}
      menu={menuItems}
      newsletterSlot={
        <NewsletterForm
          locale="de"
          title="Bestell' unseren Newsletter 🤙"
          placeholder="Deine E-Mailadresse"
          buttonText="Anmelden"
          className="xl:!fc-w-[35%]"
          privacyText={
            <>
              Für den Newsletter-Versand gelten unsere{" "}
              <a className="fc-underline" href={`${baseUrl || ""}de/privacy`}>
                Datenschutzbestimmungen
              </a>
              .
            </>
          }
          light
          id="footer-newsletter"
        />
      }
      policyLinks={policyLinks}
      socialMedia={socialMedia}
      supportedBy={supportedBy}
    />
  );
};

export default FooterNewsletterWrapper;
